openerp.eiru_reporting = function (instance) {
    "use strict";

    var reporting = instance.eiru_reporting;

    //reportingBase
    reporting_base(instance,reporting);
    configuration_reporting(instance,reporting);


    // Lista de Reporte
    try {

        report_resumen_ingresos(reporting);
        report_resumen_egresos(reporting);
        report_vouchers(reporting);
        report_invoice_balance(reporting);
        report_utilidad_producto(reporting);
        report_sales_invoice_analysis(reporting);
        report_purchases_invoice_analysis(reporting);
        report_stock(reporting);
        report_stock_move(reporting);
        report_crm(reporting);
        report_mensajecrm(reporting);
        report_phonecall(reporting);
        report_project(reporting);
        reporting_account(reporting);
        reporting_accountpending(reporting);
        report_works(reporting);
        report_pos(reporting);
        report_mrp(reporting);
	    report_ranking_pos_orders_customer(reporting);
        report_ranking_sales_orders_customer(reporting);
        report_ranking_purchases_orders_supplier(reporting);
        ranking_pos_orders_product_cy(reporting);
        ranking_sales_orders_product_cy(reporting);
        ranking_mrp_orders_product_cy(reporting);
        ranking_purchases_orders_product_cy(reporting);
        report_pos_orders(reporting);

    } catch (e) {

        // ignorar error

    }

    // Todos los informes
    instance.web.client_actions.add('eiru_reporting.action_report', 'instance.eiru_reporting.ReportingWidget');

    // ******************************************* Finanzas **********************************************************************
    // Resumen de Ingresos
    instance.web.client_actions.add('eiru_reporting.ingreso_action_report', 'instance.eiru_reporting.ReportResumenIngresoWidget');
    // Resumen de Egresos
    instance.web.client_actions.add('eiru_reporting.egreso_action_report', 'instance.eiru_reporting.ReportResumenEgresoWidget');
    // Historico de facturas
    instance.web.client_actions.add('eiru_reporting.invoice_action_report', 'instance.eiru_reporting.ReportInvoiceBalanceWidget');
    // Historico de pagos
    instance.web.client_actions.add('eiru_reporting.voucher_action_report', 'instance.eiru_reporting.ReportVoucherWidget');
    // Listado de cuentas a cobrar Vencidas
    instance.web.client_actions.add('eiru_reporting.account_pending_action_report', 'instance.eiru_reporting.ReportingAccountPendingWidget');
    // Listado de cuentas a cobrar
    instance.web.client_actions.add('eiru_reporting.account_action_report', 'instance.eiru_reporting.ReportingAccountWidget');

    // ******************************************* Ventas *************************************************************************
    // Analisis de ventas
    instance.web.client_actions.add('eiru_reporting.sale_action_report', 'instance.eiru_reporting.ReportSaleInvoiceAnalysisWidget');

    // Ranking de clientes
    instance.web.client_actions.add('eiru_reporting.sale_customer_ranking_action_report', 'instance.eiru_reporting.ReportRankingSalesOrdersCustomerWidget');

    // Ranking de productos
    instance.web.client_actions.add('eiru_reporting.productranking_action_report', 'instance.eiru_reporting.RankingSalesOrdersProductcyWidget');

    // ******************************************* Terminal de Ventas *************************************************************************
    // Historico de ventas
    instance.web.client_actions.add('eiru_reporting.point_of_sale_action_report', 'instance.eiru_reporting.ReportPosWidget');
    // Analisis de ventas
    instance.web.client_actions.add('eiru_reporting.point_of_sale_detail_action_report', 'instance.eiru_reporting.ReportPosOrdersWidget');
    // Ranking de productos
    instance.web.client_actions.add('eiru_reporting.point_of_sale_ranking_action_report', 'instance.eiru_reporting.RankingPosOrdersProductcyWidget');
     // Ranking de clientes
    instance.web.client_actions.add('eiru_reporting.point_of_sale_customer_ranking_action_report', 'instance.eiru_reporting.ReportRankingPosOrdersCustomerWidget');

    // ******************************************* Compras *************************************************************************
    // Analisis de compras
    instance.web.client_actions.add('eiru_reporting.purchase_detail_action_report', 'instance.eiru_reporting.ReportPurchaseInvoiceAnalysisWidget');
    // Ranking de productos
    instance.web.client_actions.add('eiru_reporting.product_ranking_action_report', 'instance.eiru_reporting.RankingPurchasesOrdersProductcyWidget');
    // Ranking proveedores
    instance.web.client_actions.add('eiru_reporting.suppliers_ranking_action_report', 'instance.eiru_reporting.ReportRankingPurchasesOrdersSupplierWidget');


    // ******************************************* CRM ***************************************************************************
    // CRM
    instance.web.client_actions.add('eiru_reporting.crm_action_report', 'instance.eiru_reporting.ReportCrmWidget');
    // Historico de llamadas
    instance.web.client_actions.add('eiru_reporting.crm_call_action_report', 'instance.eiru_reporting.ReportPhoneCallWidget');
    // Historico de mensajes
    instance.web.client_actions.add('eiru_reporting.crm_messages_action_report', 'instance.eiru_reporting.ReportMensajeCrmWidget');
    // Proyectos
    instance.web.client_actions.add('eiru_reporting.project_action_report', 'instance.eiru_reporting.ReportProjectWidget');

    // ******************************************* Produccion ********************************************************************
    // Informe de trabajos
    instance.web.client_actions.add('eiru_reporting.work_action_report', 'instance.eiru_reporting.ReportWorksWidget');
    // Listado de produccion
    instance.web.client_actions.add('eiru_reporting.mrp_action_report', 'instance.eiru_reporting.ReportMrpWidget');
    // Ranking productos más producidos
    instance.web.client_actions.add('eiru_reporting.mrp_ranking_action_report', 'instance.eiru_reporting.RankingMrpOrdersProductcyWidget');

    // ******************************************* Stock *************************************************************************
    // Analisis de stock
    instance.web.client_actions.add('eiru_reporting.stock_action_report', 'instance.eiru_reporting.ReportStockWidget');
    // Analisis de movimientos de stock
    instance.web.client_actions.add('eiru_reporting.stock_move_action_report', 'instance.eiru_reporting.ReportStockMoveWidget');

}
